haskell-gi-0.26.17: Generate Haskell bindings for GObject Introspection capable libraries

Safe Haskell | None
Language | Haskell2010

Data.GI.GIR.Repository

Synopsis

- readGiRepository :: Bool -> Text -> Maybe Text -> [FilePath] -> IO Document

# Documentation

readGiRepository Source #

Arguments

:: Bool | verbose
-> Text | name
-> Maybe Text | version
-> [FilePath] | searchPath
-> IO Document |

Try to load the `.gir` file corresponding to the given repository